import QtQuick 2.0
import Sailfish.Silica 1.0
import Nemo.Configuration 1.0

Page {
	ConfigurationGroup {
		id: customConfig
		path: "/patch/roundedrectangle/clock-in-launcher"

		property bool launcherClockScroll
	}

	ConfigurationGroup {
		id: experimentalConfig
		path: "/desktop/sailfish/experimental"

		property bool launcher_ip_info: false
		property bool launcher_clock_visible: false
		//property int launcher_clock_size
	}

	SilicaFlickable {
		anchors.fill: parent
		contentHeight: column.height

		Column {
			id: column
			width: parent.width

			PageHeader { title: qsTr("Clock in launcher") }

			SectionHeader { text: qsTr("Experimental") }

			ConfigItem {
				onReset: experimentalConfig.set("launcher_clock_visible", undefined)
				TextSwitch {
					text: qsTr("Show clock in launcher")
					checked: experimentalConfig.launcher_clock_visible
					onCheckedChanged: experimentalConfig.launcher_clock_visible = checked
				}
			}

			ConfigItem {
				onReset: experimentalConfig.set("launcher_ip_info", undefined)
				TextSwitch {
					text: qsTr("Show IP info in launcher")
					enabled: experimentalConfig.launcher_clock_visible
					checked: experimentalConfig.launcher_ip_info
					onCheckedChanged: experimentalConfig.launcher_ip_info = checked
				}
			}

			SectionHeader { text: qsTr("Custom") }

			ConfigItem {
				onReset: customConfig.set("launcherClockScroll", undefined)
				TextSwitch {
					text: qsTr("Make clock and IP address info scrollable")
					enabled: experimentalConfig.launcher_clock_visible && experimentalConfig.launcher_ip_info
					checked: customConfig.launcherClockScroll
					onCheckedChanged: customConfig.launcherClockScroll = checked
				}
			}
		}
	}
}
